.overflow-hidden {
    overflow: hidden !important;
    height: 100vh !important;
}
body.header_dark_mode{
  .hamburger:not(.menu-open){
    span{
      background-color: #F5F3EF !important;
    }
  }
}
.snorkel-nav-wrapper-v2 {
  /* --- Variable Definitions --- */
  --nav-title-fade: rgb(17 28 45 / 56%);
  --nav-title: #111C2D;
  --accent-color: #5E5AD1;
  --bg-white: #ffffff;
  --bg-default:#F5F3EF;
  --bg-promo: #F1EFE9;
  --bg-hover: rgba(17, 28, 45, 0.04);
  --border-light: rgba(17, 28, 45, 0.08);
  --border-promo: rgba(17, 28, 45, 0.16);
  --border-mobile: #ccc;
  
  --headline-text: "Geist Mono", "geist-mono", monospace;
  --badge-text-font: inherit;
  
  --title-font: 16px;
  --nav-font: 14px;
  --headline-font: 12px;
  --description-font: 14px;
  --promo-title-font: 20px;

  --promo_width: 400px;
  --offset: 40px;
  --items-gap: 0px;

  .snorkel-nav {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    row-gap: 0px;
    column-gap: 32px;
  }

  .snorkel-mobile_toggle {
    display: none;
    svg {
      display: block
    }
  }

  .hamburger {
    cursor: pointer;
    height: 32px;
    overflow: hidden;
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
    width: 32px;
    z-index: 99999999 !important;
    span {
        background-color: var(--nav-title);
        display: block;
        height: 1px;
        left: 7px;
        opacity: 1;
        position: absolute;
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: 1s cubic-bezier(0.3, -0.55, 0.265, 1.55);
        transition: 1s cubic-bezier(0.3, -0.55, 0.265, 1.55);
        width: 18px;
        &:nth-child(1) {
            top: 16px;
        }
        &:nth-child(2) {
            top: 10px;
        }
        &:nth-child(3) {
            top: 22px;
            width: 12px;
        }
    }
    &.menu-open{
      span{
        &:nth-child(1) {
              top: 16px;
              left: 4px;
              width: 22.63px;
              -webkit-transform: rotate(135deg);
              -ms-transform: rotate(135deg);
              transform: rotate(135deg);
          }
          &:nth-child(2) {
              left: -30px;
              opacity: 0;
          }
          &:nth-child(3) {
            top: 16px;
            left: 4px;
            width: 22.63px;
            -webkit-transform: rotate(-135deg);
            -ms-transform: rotate(-135deg);
            transform: rotate(-135deg);
        }
      }
    }
  }

  .sn-menu-item {
    position: relative;
    display: flex;

    .sn-primary-link {
      display: flex;
      align-items: center;
      column-gap: 10px;
      justify-content: space-between;
      height: 80px;
      color: var(--nav-title);
      font-weight: 500;
      letter-spacing: 0;
      font-size: var(--nav-font);
      background: transparent;
      border: none;
      padding: 0;
    }

    .snorkel-submenu {
      position: absolute;
      background: var(--bg-white);
      pointer-events: none;
      opacity: 0;
      z-index: -999;
      visibility: hidden;
      top: 100%;
      transition: all .3s, height 0s;
      overflow: hidden;
      display: flex;
      left: 50%;
      transform: translateX(-50%);
      box-shadow: 0px 4px 24px -2px rgb(0 0 0 / 8%);
      outline: 1px solid var(--border-light);
      border-radius: 16px;
     
      .menu_items {
          width: 100%;
          display: flex;
      }

      .menu-col {
        width: var(--column-width);
        display: flex;
        flex-direction: column;
        row-gap: var(--items-gap);
        column-gap: var(--items-gap);
        padding: 40px 16px 16px;
        &:not(:first-child){
          border-left: 1px solid var(--border-light);
        }
        .menu_cols {
            display: block;
            column-count: var(--col_count);
            column-gap: 16px;
            @media (max-width:767px){
              column-count: 1;
            }
        }
      }

      a.menu-details {
        display: flex;
        flex-direction: column;
        min-height: 188px;
        padding: 24px;
        justify-content: space-between;
        align-items: flex-start;
        border-radius: 8px;
        row-gap: 16px;
        column-gap: 16px;
        transition: .3s ease-out;
        &:hover{
          background-color: var(--bg-hover);
        }
        .menu_description {
            font-family: inherit;
            font-size: var(--description-font);
            line-height: 1.43;
            letter-spacing: 0;
            color: var(--nav-title-fade);
        }
        .button_text {
            font-family: inherit;
            font-size: var(--description-font);
            line-height: 1.43;
            letter-spacing: 0;
            color: var(--nav-title);
            background: var(--bg-hover);
            display: table;
            padding: 10px 16px;
            border-radius: 100px;
        }
      }

      .promo_box {
        display: flex;
        width: var(--promo_width);
        flex-direction: column;
        row-gap: var(--items-gap);
        column-gap: var(--items-gap);
        padding: 40px;
        background-color: var(--bg-promo);
        .menu_headline_promo {
          font-family: var(--headline-text);
          font-weight: 500;
          font-size: var(--headline-font);
          line-height: 1.333333333;
          text-transform: uppercase;
          letter-spacing: .2em;
          color: var(--accent-color);
          padding: 0 0 24px;
        }
        .promo_content {
            border: 0.5px solid var(--border-promo);
            box-shadow: 0px 2px 4px -2px rgba(0, 0, 0, 0.08);
            padding: 8px;
            background: var(--bg-default);
        }
        .menu-content{
          padding: 24px 16px 16px;
          background-color: transparent !important;
        }
      }
      
      .promo_box_cover{
        width: var(--promo_width);
        position: relative;
        display: flex;
        align-items: flex-end;
        .pbc_bg, .pbc_bg img {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        .pbc_content {
            position: relative;
            width: 100%;
            z-index: 2;
            color: #fff;
            display: flex;
            align-items: flex-end;
            padding: 40px;
            column-gap: 16px;
            row-gap: 16px;
            .pbc_right{
              flex-shrink: 0;
            }
        }
        .pbc_title {
            font-size: var(--promo-title-font);
            line-height: 1.2;
            letter-spacing: -0.02em;
            font-weight: 300;
            font-family: inherit;
            margin-bottom: 4px;
        }
        .pbc_description {
            font-size: var(--description-font);
            line-height: 1.428571429;
            font-family: inherit;
        }
        span.badge {
            font-size: var(--description-font);
            line-height: 1.428571429;
            font-family: inherit;
            display: block;
            background: rgba(245, 243, 239, 0.04);
            border-radius: 100px;
            padding: 10px 16px;
            font-weight: 500;
        }
      }

      .menu_headline {
        font-family: var(--headline-text);
        font-weight: 500;
        font-size: var(--headline-font);
        line-height: 1.333333333;
        text-transform: uppercase;
        letter-spacing: .2em;
        color: var(--accent-color);
        padding: 0 24px 16px;
      }

      .menu_title {
        font-family: inherit;
        font-weight: 500;
        font-size: var(--title-font);
        line-height: 1.4;
        color: var(--nav-title);
        &.fade_title{
          opacity: 0.6;
        }
      }

      .badge_text{
        font-family: var(--badge-text-font);
        font-size: var(--description-font);
        font-weight: bold;
        letter-spacing: -0.03em;
        line-height: 20px;
        display: flex;
        align-items: center;
        column-gap: 4px;
        flex-wrap: wrap;
        color: #14194D;
        opacity: .6;
      }
      .menu_description {
        font-family: inherit;
        font-size: var(--description-font);
        line-height: 1.43;
        letter-spacing: 0;
        color: var(--nav-title-fade);
      }

      .menu-content {
        display: flex;
        flex-direction: column;
        row-gap: 4px;
        column-gap: 8px;
        padding: 24px;
        border-radius: 8px;
        transition: .3s ease-out;
        &:hover{
          background-color: var(--bg-hover);
        }
      }

    }

    &:hover .snorkel-submenu {
      pointer-events: auto;
      opacity: 1;
      z-index: 9;
      visibility: visible;
      top: calc(100% - 2px);
    }

    &.type-full {
      position: static;
    }

    &.type-full .snorkel-submenu {
      max-width: 1200px;
    }
  }

  span.sn-indicator {
    width: 6px;
    height: 6px;
    display: block !important;
    border-bottom: 2px solid;
    border-right: 2px solid;
    transform: translate(0px, -2px) rotate(45deg);
  }

  .sn-menu-btn {
    display: table;
    padding: 14px 30px;
    border: 1px solid;
    border-radius: 2px;
  }

  li.sn-mobile_btns {
    padding: 20px 48px;
    display: none !important;
    a.sn-menu-btn {
        font-style: normal;
        font-weight: 500;
        font-size: 14px;
        line-height: 20px;
        letter-spacing: 0 !important;
        background: var(--nav-title);
        color: var(--bg-promo);
        border: none;
        border-radius: 100px;
        width: 100%;
        text-align: center;
        &.nav-btn-secondary{
          background:transparent;
          color: var(--nav-title);
          box-shadow: inset 0px 0px 0px 1px #111C2D3d;
        } 
    }
  }

  .mobile-brand-logo {
      display: none;
  }
  .layered-menu-back {
      display: none;
  }
  .mobile_menu_footer{
    position: fixed;
    top:auto;
    bottom: -100vh;
    width: 100%;
    left: 0;
    display: none;
  }
  @media (min-width:1199.99px) {
    .snorkel-nav {
      display: flex !important;
      justify-content: center;

      .sn-primary-item {
        &:hover {
          .sn-primary-link{
            color: var(--nav-title)
          }
          .incator-wrapper {
            transform: rotate(180deg);
            .sn-indicator {
              color: var(--nav-title)
            }
          }
        }
        .snorkel-submenu {
          display: flex !important;
           &.position-left{
              transform: translateX(calc(var(--offset) * -1));
              left: 0;
          }
          &.position-right{
              transform: translateX(var(--offset));
              left: auto;
              right: 0;
          }
        }
      }
    }
  }

  @media (max-width:1198.99px) {
    .mobile_menu_footer{
      display: block;
      opacity: 0;
    }
    &.menu-open{
        .mobile_menu_footer{
          animation: menu_fade 0.4s ease forwards;
        }
      }
    .snorkel-mobile_toggle {
      display: block;
      cursor: pointer;
      position: relative;
      z-index: 9;
    }
    
    .mobile-brand-logo {
      padding: 0 48px;
      height: 80px;
      display: flex;
      align-items: center;
      border-bottom: 1px solid var(--border-promo);
      margin-bottom: 28px;
      .brand-logo img{
        height: 32px;
        width: 112px;
        object-fit: contain;
        display: block;
      }
    }
    span.sn-indicator {
      transform: translate(0px, -2px) rotate(-45deg);
    }
    ul.snorkel-nav {
      position: fixed;
      left: 50%;
      width: 100vw;
      transform: translateX(-50%);
      top: 0;
      background: var(--bg-default);
      height: 100vh;
      padding-bottom: 100px;
      overflow: auto;
      overflow-x: hidden;
      overflow-y: auto;
      display: none;     
      &.collapsable-open{
        z-index: 2;
      }
      .sn-primary-item {
        padding: 0;
        margin: 0 48px;
        display: block;
        border-bottom: 1px solid var(--border-mobile);
        .sn-primary-link {
          width: 100%;
          justify-content: space-between;
          height: 78px;
          font-size: 20px;
        }
        &.menu-active .incator-wrapper {
          transform: rotate(-180deg);
        }
        .snorkel-submenu {
          width: 100%;
          max-width: 100%;
          height: 100vh;
          position: fixed;
          opacity: 1;
          visibility: visible;
          z-index: 999;
          pointer-events: auto;
          box-shadow: none;
          display: block;
          padding: 0;
          border: none;
          border-radius: 0;
          outline: none;
          overflow: hidden;
          background: var(--bg-default);
          top: 0;
          left: 0;
          transform: translate(100%, 0%);
          .menu_items{
            flex-direction: column;
            padding: 0 48px 100px;
            height: calc(100vh - 80px);
            overflow: auto;
          }
          .menu-col {
            width: 100%;
            max-width: 100%;
            border-bottom: 0.5px solid rgba(17, 28, 45, 0.2);
            padding: 32px 0;
            &:not(:first-child) {
                border-left: none;
            }
            &:last-of-type{
              border-bottom: none;
            }
          }
          .menu_headline{
            padding: 0 0 20px;
          }
          .menu-content{
            padding: 12px 0;
            &:hover {
              background-color: transparent;
            }
          }
          a.menu-details{
            padding: 12px 0;
            min-height: 120px;
            &:hover {
              background-color: transparent;
            }
          }
          .promo_box{
            padding: 32px 48px !important;
            margin: 0 -48px 0;
            max-width: unset;
            width: auto;
            .promo_content{
              .menu_promot_image img {
                  width: 100%;
              }
            }
          }
          .promo_box_cover{
            width: auto;
            margin: 0 -48px;
            .pbc_content{
              padding-top: 60% !important;
              justify-content: space-between;
              flex-wrap: nowrap;
            }
          }
        }
        &.menu-active{
          .snorkel-submenu {
              background: var(--bg-default);
              position: fixed;
              top: 0;
              left: 0;
              transform: translate(0, 0);
              padding: 0;
          }
          .layered-menu-back {
            height: 80px;
            padding: 0 48px;
            display: flex;
            align-items: center;
            gap: 12px;
            font-size: 14px;
            font-weight: 500;
            border-bottom: 1px solid var(--border-promo);     
            margin-bottom: 8px;        
          }
        }
      }
    }
  }

  @media (max-width:767px) {
    ul.snorkel-nav {
      .sn-primary-item {
        padding: 0;
        margin: 0 20px;
        .snorkel-submenu{
          .menu_items {
            padding: 0 20px 100px;
            height: calc(100vh - 72px);
          }
        }
        &.menu-active{
          .layered-menu-back {
            height: 72px;
            padding: 0 20px;
          }
        }
      }
      li.sn-mobile_btns{
        padding: 8px 20px;
      }
      
    }
    .mobile-brand-logo{
      padding: 0 20px;
    }
    .mobile-brand-logo{
      height: 72px;
    }
    .sn-menu-item {
      .snorkel-submenu {
        .promo_box_cover {
          width: auto;
          margin-left: -20px !important;
          margin-right: -20px !important;
          max-width: unset;
        }
      }
    }
  }
  @media (max-width:480px) {
    li.sn-mobile_btns{
      display: block !important;
    }
    .promo_box{
      max-width: 100%;
      padding: 24px !important;
    }
    .promo_box_cover{
      max-width: 100%;
      .pbc_content{
        padding: 24px !important;
      }
    }
  }
}


@keyframes menu_fade {
  0% {
    opacity: 0
  }
  90%{
    opacity: 0
  }
  to {
    opacity: 1;
  }
}